nixp.ru v3.0

21 января 2017,
суббота,
13:52:55 MSK

DevOps с компанией «Флант»
Аватар пользователя splinter
splinter написал 23 мая 2007 года в 12:51 (236 просмотров) Ведет себя как четкий пацан; открыл 134 темы в форуме, оставил 1458 комментариев на сайте.

Поставил новое ядро теперь при установке дров nvidia и при установке vmware-server 1.0.1 требуется gcc-4, у меня он нашелся в ссырцах на диске от хакера, распаковываю gcc-4.1.0, там соответственно кучка файла, компилю первый gcc-4.1.0 конфигит нормально а при make ругается на fastjar, залез в fastjar попробовал его ругается на zlib, поставил zlib указал —with-system-zlib все равно ругается на zlib, снес zlib указал —without-system-zlib все равно ругается на то что zlib need fastjar,

прочитал что этот fastjar нужен для java. Как сделать так что бы fastjar не ругался на zlib? :)

metal

Может без java собрать? Еще вариант, твой zlib просто не находит, надо указать где он установлен, хотя это более чем странно.

splinter

без джавы не охото. JDK может моск епать? я просто ставил сановскую IDE для работы с java, он jdk требовал тож что то с java связанно, хотя как то тоже не вериться. лана посижу сегодня полистаю огромную книжку GCC :) в Красноярске за 1000 купил о_О

splinter

Вообще хрень какая то указываю —libdir=/usr/lib там лежит этот самый lzib.a он все равно его не видит, копирую libz.a в /usr/local/zlib/libz.a тогда тока видит. но не могу же я скопировать все нужные ему либы в /usr/local/lib? фигня какая то.

Heavy

Так ты их туда слинкуй просто. :) Тож конечно не самое оптимальное решение, но что-то больше в голову ничего не приходит.

metal

Посомтри log configure, почему он подхватывает не тот путь. Или autoconf не используется в gcc, что-то я уже забыл:(

ecobeingecobeing.ru
Экология и вегетарианство на благо всем живым существам Планеты.